WRAP-AND-SORT(1)

BEZEICHNUNG
wrap-and-sort - bricht lange Zeilen um und sortiert Elemente in Debian-Paketierungsdateien

ÜBERSICHT
wrap-and-sort [Optionen]

BESCHREIBUNG
wrap-and-sort bricht die Paketlisten in Debian-Steuerdateien um. Standardmäßig werden die Listen nur in mehrere Zeilen aufgeteilt, falls die Einträge länger als die maximale Längenbeschränkung von 79 Zeichen sind. wrap-and-sort sortiert die Paketlisten in Debian-Steuerdateien und allen .dirs-, .docs-, .examples-, .info-, .install-, .links-, .maintscript und .manpages-Dateien. Daneben entfernt wrap-and-sort abschließende Leerräume in diesen Dateien.

Dieses Skript sollte im Wurzelverzeichnis eines Debian-Paketverzeichnisbaums ausgeführt werden. Es sucht im debian-Verzeichnis nach control, control*.in, copyright, copyright.in, install und *.install.

OPTIONEN

-h, --help
    Show this help message and exit. Will also print the default values for the options below.

-a, --[no-]wrap-always
    bricht alle Paketlisten in der Debian-Datei control um, sogar dann, wenn sie die Zeilenlängenbeschränkung nicht überschreiten und in eine Zeile passen würden.

-s, --[no-]short-indent
    Indent wrapped lines by a single space, instead of in-line with the field name.

-b, --[no-]sort-binary-packages
    sortiert Binärpaketabsätze nach Namen.

-k, --[no-]keep-first
    Belässt, wenn Binärpaketabsätze sortiert werden, den ersten oben.

    Nicht spezifizierte debhelper(7)-Konfigurationsdateien werden auf das erste Paket angewendet.

-n, --[no-]cleanup
    Remove trailing whitespaces.

-t, --[no-]trailing-comma
    fügt am Ende der sortierten Felder ein abschließendes Komma hinzu. Dies minimiert zukünftige Unterschiede in den VCS-Commits, wenn zusätzliche Abhängigkeiten angehängt oder entfernt werden.

-d Pfad, --debian-directory=Pfad
    Speicherort des debian-Verzeichnisses (Vorgabe: ./debian).

-f Datei, --file=Datei
    bricht nur die angegebene Datei um und sortiert sie. Sie können diesen Parameter mehrfach angeben. Falls keine Dateien angegeben wurden, werden alle unterstützten Dateien verarbeitet.

-v, --verbose
    gibt alle Dateien aus, die angefasst wurden.

--max-line-length=maximale_Zeilenlänge
    setzt die maximal erlaubte Zeilenlänge. Paketlisten in der Debian-control-Datei, die diese Längenbeschränkung überschreiten, werden umgebrochen.

    Die voreingestellte maximale Zeilenlänge ist 79 Zeichen.

-N, --dry-run
    verändert keine Datei, gibt stattdessen nur die Dateien aus, die verändert würden.

--experimental-rts-parser
    Temporary option accepted for compatibility with an experiment. It no longer does anything. Please remove any use of it.

AUTOREN
wrap-and-sort und diese Handbuchseite wurden von Benjamin Drung <bdrung@debian.org> geschrieben.

Beide wurden unter der ISC-Lizenz veröffentlicht.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.